%if 0%{?fedora} >= 15 || 0%{?rhel} >= 7
%global with_systemd 1
%endif

Name:		kimchi
Version:	1.0.1
Release:	0%{?dist}
Summary:	Kimchi server application
BuildRoot:	%{_topdir}/BUILD/%{name}-%{version}-%{release}
Group:		System Environment/Base
License:	LGPL/ASL2
Source0:	%{name}-%{version}.tar.gz
Requires:	qemu-kvm
Requires:	libvirt
Requires:	libvirt-python
Requires:	python-cherrypy >= 3.2.0
Requires:	python-cheetah
Requires:	m2crypto
Requires:	python-imaging
Requires:	libxml2-python
Requires:	PyPAM

%if 0%{?rhel} == 6
Requires:	python-ordereddict
Requires:	python-imaging
BuildRequires:    python-unittest2
%endif

%if 0%{?with_systemd}
Requires:	systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif

%if 0%{?with_systemd}
BuildRequires: systemd-units
%endif

%description
Web server application application to manage KVM/Qemu virtual machines


%prep
%setup


%build
%configure
make


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%if 0%{?with_systemd}
# Install the systemd scripts
install -Dm 0644 contrib/kimchid.service.fedora %{buildroot}%{_unitdir}/kimchid.service
%endif

%if 0%{?rhel} == 6
# Install the upstart script
install -Dm 0755 contrib/kimchid-upstart.conf.fedora %{buildroot}/etc/init/kimchid.conf
%endif
%if 0%{?rhel} == 5
# Install the SysV init scripts
install -Dm 0755 contrib/kimchid.sysvinit %{buildroot}%{_initrddir}/kimchid
%endif

%post
if [ $1 -eq 1 ] ; then
    /bin/systemctl enable kimchid.service >/dev/null 2>&1 || :
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%if 0%{?rhel} == 6
start kimchid
%else
service kimchid start
%endif

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable kimchid.service > /dev/null 2>&1 || :
    /bin/systemctl stop kimchid.service > /dev/null 2>&1 || :
fi
exit 0


%postun
if [ "$1" -ge 1 ] ; then
    /bin/systemctl try-restart kimchid.service >/dev/null 2>&1 || :
fi
exit 0


%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root)
%{_bindir}/kimchid
%{python_sitelib}/kimchi/*.py*
%{_datadir}/kimchi/doc/API.md
%{_datadir}/kimchi/doc/README.md
%{_datadir}/kimchi/doc/kimchi-guest.png
%{_datadir}/kimchi/doc/kimchi-templates.png
%{_datadir}/kimchi/mo/*/LC_MESSAGES/kimchi.mo
%{_datadir}/kimchi/ui/css/dev.*.css
%{_datadir}/kimchi/ui/css/fonts/fontawesome-webfont.*
%{_datadir}/kimchi/ui/css/fonts/novnc/Orbitron700.*
%{_datadir}/kimchi/ui/css/novnc/base.css
%{_datadir}/kimchi/ui/css/theme-default.min.css
%{_datadir}/kimchi/ui/images/*.jpg
%{_datadir}/kimchi/ui/images/*.png
%{_datadir}/kimchi/ui/images/*.ico
%{_datadir}/kimchi/ui/images/theme-default/*.png
%{_datadir}/kimchi/ui/js/kimchi.min.js
%{_datadir}/kimchi/ui/js/dev.main.js
%{_datadir}/kimchi/ui/js/jquery-ui.js
%{_datadir}/kimchi/ui/js/jquery.min.js
%{_datadir}/kimchi/ui/js/modernizr.custom.2.6.2.min.js
%{_datadir}/kimchi/ui/js/novnc/*.js
%{_datadir}/kimchi/ui/js/novnc/web-socket-js/WebSocketMain.swf
%{_datadir}/kimchi/ui/js/novnc/web-socket-js/swfobject.js
%{_datadir}/kimchi/ui/js/novnc/web-socket-js/web_socket.js
%{_datadir}/kimchi/ui/libs/jquery-1.10.0.min.js
%{_datadir}/kimchi/ui/libs/modernizr.custom.76777.js
%{_datadir}/kimchi/ui/pages/*.html.tmpl
%{_sysconfdir}/kimchi/kimchi.conf
%if 0%{?with_systemd}
%{_unitdir}/kimchid.service
%endif
%if 0%{?rhel} == 6
/etc/init/kimchid.conf
%endif
%if 0%{?rhel} == 5
%{_initrddir}/kimchid
%endif

%changelog
* Tue Jul 16 2013 Adam Litke <agl@us.ibm.com> 0.1.0-1
- Adapted for autotools build

* Thu Apr 04 2013 Aline Manera <alinefm@br.ibm.com> 0.0-1
- First build
